Debian Bug report logs - #193343
php4: segfaults with squirrelmail

version graph

Package: php4-imap; Maintainer for php4-imap is (unknown);

Reported by: Tollef Fog Heen <tfheen@raw.no>

Date: Wed, 14 May 2003 20:03:03 UTC

Severity: normal

Tags: woody

Found in version 4:4.3.3-4

Done: Adam Conrad <adconrad@0c3.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Adam Conrad <adconrad@0c3.net>, php4@packages.qa.debian.org:
Bug#193343; Package php4-imap. Full text and rfc822 format available.

Acknowledgement sent to Tollef Fog Heen <tfheen@raw.no>:
New Bug report received and forwarded. Copy sent to Adam Conrad <adconrad@0c3.net>, php4@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Tollef Fog Heen <tfheen@raw.no>
To: submit@bugs.debian.org
Subject: php4: segfaults with squirrelmail
Date: 14 May 2003 22:02:11 +0200
Package: php4-imap
Tags: woody

(Please adjust severity if appropriate, I'm not sure at what severity
to file it :)

Using stable, I have a problem with squirrelmail and PHP4, causing
nasty messages like

[Wed May 14 21:26:52 2003] [notice] child pid 25324 exit signal
Segmentation fault (11)

in my error log.

Using ethereal and such, it seems like if your IMAP server drops the
connection right after you try to authenticate, (which courier does if
the specified user's Maildir doesn't exist) then PHP (and apache) will
segfault.

This seems 100% reproducible here, please tell me if you need more
information.

Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Installed/Config-files/Unpacked/Failed-config/Half-installed
|/ Err?=(none)/Hold/Reinst-required/X=both-problems (Status,Err: uppercase=bad)
||/ Name           Version        Description
+++-==============-==============-============================================
ii  php4           4.1.2-6        A server-side, HTML-embedded scripting langu
ii  php4-imap      4.1.2-6        IMAP module for php4
ii  squirrelmail   1.2.6-1.3      Webmail for nuts

-- 
Tollef Fog Heen                                                        ,''`.
UNIX is user friendly, it's just picky about who its friends are      : :' :
                                                                      `. `' 
                                                                        `-  



Information forwarded to debian-bugs-dist@lists.debian.org, Adam Conrad <adconrad@0c3.net>:
Bug#193343; Package php4-imap. Full text and rfc822 format available.

Acknowledgement sent to Norman Rasmussen <norman@darkskies.za.net>:
Extra info received and forwarded to list. Copy sent to Adam Conrad <adconrad@0c3.net>. Full text and rfc822 format available.

Message #10 received at 193343@bugs.debian.org (full text, mbox):

From: Norman Rasmussen <norman@darkskies.za.net>
To: Debian Bug Tracking System <193343@bugs.debian.org>
Subject: php4-imap: squirrelmail can't connect to imaps only server
Date: Mon, 02 Feb 2004 14:05:03 +0200
Package: php4-imap
Version: 4:4.3.3-4
Severity: normal
Followup-For: Bug #193343

1. uw-imapd no longer supports plain text logins (they either have to be
SSL tunnel or STARTTLS protected)

2. squirrelmail uses the built-in imap-ssl support in php4,

or would if php4 was compiled with --with-imap-ssl, but phpinfo() shows
only '--with-imap=shared,/usr'

since php4 4:4.3.3-5 now depends on libapache-mod-ssl can we have the
--with-imap-ssl support back ? (don't remove with-imap though, re:
http://natrak.net/node/view/254)

-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux darkflame 2.4.24 #2 Sat Jan 10 07:11:16 SAST 2004 i586
Locale: LANG=en_ZA, LC_CTYPE=en_ZA

Versions of packages php4-imap depends on:
ii  debconf       1.3.22                     Debian configuration management sy
ii  libc-client20 7:2002ddebian1-4           UW c-client library for mail proto
ii  libc6         2.3.2.ds1-10               GNU C Library: Shared libraries an
ii  libcomerr2    1.34+1.35-WIP-2003.12.07-2 The Common Error Description libra
ii  libkrb53      1.3-2                      MIT Kerberos runtime libraries
ii  libssl0.9.7   0.9.7c-5                   SSL shared libraries
ii  php4-cgi [php 4:4.3.3-4                  A server-side, HTML-embedded scrip

Other related packages:
ii  squirrelmail  1:1.4.2-1                  Webmail for nuts
ii  uw-imapd      7:2002ddebian1-4           remote mail folder access server

-- debconf information:
  php4/extension_imap_cgi: true
  php4/add_extension: true
  php4/remove_extension: true
  php4/extension_imap_apache: true




Information forwarded to debian-bugs-dist@lists.debian.org, Adam Conrad <adconrad@0c3.net>:
Bug#193343; Package php4-imap. Full text and rfc822 format available.

Acknowledgement sent to Norman Rasmussen <norman@darkskies.za.net>:
Extra info received and forwarded to list. Copy sent to Adam Conrad <adconrad@0c3.net>. Full text and rfc822 format available.

Message #15 received at 193343@bugs.debian.org (full text, mbox):

From: Norman Rasmussen <norman@darkskies.za.net>
To: Debian Bug Tracking System <193343@bugs.debian.org>
Subject: php4-imap: sorry, my mistake
Date: Mon, 02 Feb 2004 15:36:28 +0200
Package: php4-imap
Version: 4:4.3.3-4
Severity: normal
Followup-For: Bug #193343

i had not yet upgraded php4 (not php4-cgi which is now depricated), so i
was still running 4.1.2.  Have upgraded and apache is now crashing an in
bug #205553, so will try loading modssl.

-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux darkflame 2.4.24 #2 Sat Jan 10 07:11:16 SAST 2004 i586
Locale: LANG=en_ZA, LC_CTYPE=en_ZA

Versions of packages php4-imap depends on:
ii  debconf       1.3.22                     Debian configuration management sy
ii  libc-client20 7:2002ddebian1-4           UW c-client library for mail proto
ii  libc6         2.3.2.ds1-10               GNU C Library: Shared libraries an
ii  libcomerr2    1.34+1.35-WIP-2003.12.07-2 The Common Error Description libra
ii  libkrb53      1.3-2                      MIT Kerberos runtime libraries
ii  libssl0.9.7   0.9.7c-5                   SSL shared libraries
ii  php4 [phpapi- 4:4.3.3-4                  A server-side, HTML-embedded scrip
ii  php4-cgi [php 4:4.3.3-4                  A server-side, HTML-embedded scrip

-- debconf information:
  php4/extension_imap_cgi: true
  php4/add_extension: true
  php4/remove_extension: true
  php4/extension_imap_apache: true




Information forwarded to debian-bugs-dist@lists.debian.org, Adam Conrad <adconrad@0c3.net>:
Bug#193343; Package php4-imap. Full text and rfc822 format available.

Acknowledgement sent to Norman Rasmussen <norman@darkskies.za.net>:
Extra info received and forwarded to list. Copy sent to Adam Conrad <adconrad@0c3.net>. Full text and rfc822 format available.

Message #20 received at 193343@bugs.debian.org (full text, mbox):

From: Norman Rasmussen <norman@darkskies.za.net>
To: Debian Bug Tracking System <193343@bugs.debian.org>
Subject: php4-imap: openssl support gone
Date: Mon, 02 Feb 2004 16:54:07 +0200
Package: php4-imap
Version: 4:4.3.3-4
Severity: normal
Followup-For: Bug #193343

yup, modssl fixed the crashing.  This problem is furthur explained in
libc bug #165699, they've been trying to track this bug down from the
other end by the looks of it.

summary: it seems to be a dynamic loader, apache loads and then unloads
the ssl libraries, and gets confused.  I expect that by loading modssl
that the appropriate functions get reloaded into memory before imap
calls a function that needs them.

okay so so avoid this problem the php4 fsockopen function has lost it's
ssl and tls support, hence making imaps support gone too :-(, and
therefore breaking squirrelmail<->uw-imapd.

so, is there any possible way we can get openssl support back into php4,
with out breaking apache, because of wierd resolver issues ?

(or, *yuck* am i going to have to run stunnel daemon and suffer for now)

-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux darkflame 2.4.24 #2 Sat Jan 10 07:11:16 SAST 2004 i586
Locale: LANG=en_ZA, LC_CTYPE=en_ZA

Versions of packages php4-imap depends on:
ii  debconf       1.3.22                     Debian configuration management sy
ii  libc-client20 7:2002ddebian1-4           UW c-client library for mail proto
ii  libc6         2.3.2.ds1-10               GNU C Library: Shared libraries an
ii  libcomerr2    1.34+1.35-WIP-2003.12.07-2 The Common Error Description libra
ii  libkrb53      1.3-2                      MIT Kerberos runtime libraries
ii  libssl0.9.7   0.9.7c-5                   SSL shared libraries
ii  php4 [phpapi- 4:4.3.3-4                  A server-side, HTML-embedded scrip
ii  php4-cgi [php 4:4.3.3-4                  A server-side, HTML-embedded scrip

-- debconf information:
  php4/extension_imap_cgi: true
  php4/add_extension: true
  php4/remove_extension: true
  php4/extension_imap_apache: true




Information forwarded to debian-bugs-dist@lists.debian.org, Adam Conrad <adconrad@0c3.net>:
Bug#193343; Package php4-imap. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@netexpress.net>:
Extra info received and forwarded to list. Copy sent to Adam Conrad <adconrad@0c3.net>. Full text and rfc822 format available.

Message #25 received at 193343@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@netexpress.net>
To: Norman Rasmussen <norman@darkskies.za.net>, 193343@bugs.debian.org
Subject: Re: Bug#193343: php4-imap: sorry, my mistake
Date: Mon, 2 Feb 2004 08:56:03 -0600
[Message part 1 (text/plain, inline)]
On Mon, Feb 02, 2004 at 03:36:28PM +0200, Norman Rasmussen wrote:
> Package: php4-imap
> Version: 4:4.3.3-4
> Severity: normal
> Followup-For: Bug #193343

> i had not yet upgraded php4 (not php4-cgi which is now depricated), so i
> was still running 4.1.2.  Have upgraded and apache is now crashing an in
> bug #205553, so will try loading modssl.

In what sense in php4-cgi deprecated?

-- 
Steve Langasek
postmodern programmer
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Adam Conrad <adconrad@0c3.net>:
Bug#193343; Package php4-imap. Full text and rfc822 format available.

Acknowledgement sent to "Norman Rasmussen" <norman@darkskies.za.net>:
Extra info received and forwarded to list. Copy sent to Adam Conrad <adconrad@0c3.net>. Full text and rfc822 format available.

Message #30 received at 193343@bugs.debian.org (full text, mbox):

From: "Norman Rasmussen" <norman@darkskies.za.net>
To: <193343@bugs.debian.org>
Subject: RE: Bug#193343: php4-imap: php4-cgi depricated
Date: Mon, 2 Feb 2004 17:29:51 +0200
> In what sense in php4-cgi deprecated?
> 

re: http://packages.debian.org/testing/web/php4-cgi

Please note, that as of 4.0.4-1 php4-cgi-* are deprecated. Use corresponding
php4-* package instead

Norman Rasmussen

open box software
T +27 21 701 7884   |  M +27 (0) 83 418 9799
E nrasmussen@openboxsoftware.com  |  W  www.openboxsoftware.com




Information forwarded to debian-bugs-dist@lists.debian.org, Adam Conrad <adconrad@0c3.net>:
Bug#193343; Package php4-imap. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@netexpress.net>:
Extra info received and forwarded to list. Copy sent to Adam Conrad <adconrad@0c3.net>. Full text and rfc822 format available.

Message #35 received at 193343@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@netexpress.net>
To: Norman Rasmussen <norman@darkskies.za.net>, 193343@bugs.debian.org
Subject: Re: Bug#193343: php4-imap: openssl support gone
Date: Mon, 2 Feb 2004 10:15:39 -0600
[Message part 1 (text/plain, inline)]
On Mon, Feb 02, 2004 at 04:54:07PM +0200, Norman Rasmussen wrote:
> Package: php4-imap
> Version: 4:4.3.3-4
> Severity: normal
> Followup-For: Bug #193343

> yup, modssl fixed the crashing.  This problem is furthur explained in
> libc bug #165699, they've been trying to track this bug down from the
> other end by the looks of it.

> summary: it seems to be a dynamic loader, apache loads and then unloads
> the ssl libraries, and gets confused.  I expect that by loading modssl
> that the appropriate functions get reloaded into memory before imap
> calls a function that needs them.

> okay so so avoid this problem the php4 fsockopen function has lost it's
> ssl and tls support, hence making imaps support gone too :-(, and
> therefore breaking squirrelmail<->uw-imapd.

> so, is there any possible way we can get openssl support back into php4,
> with out breaking apache, because of wierd resolver issues ?

> (or, *yuck* am i going to have to run stunnel daemon and suffer for now)

php4-imap *does* have openssl support enabled.  Is there some reason
that squirrelmail would be using fsockopen instead of the php4-imap
functions?

The openssl extension would have to be built as a shared extension (not
supported upstream, last I looked) before it could be re-enabled;
building it into mod_php4 statically triggers this bug.

-- 
Steve Langasek
postmodern programmer
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Adam Conrad <adconrad@0c3.net>:
Bug#193343; Package php4-imap. Full text and rfc822 format available.

Acknowledgement sent to Andres Salomon <dilinger@voxel.net>:
Extra info received and forwarded to list. Copy sent to Adam Conrad <adconrad@0c3.net>. Full text and rfc822 format available.

Message #40 received at 193343@bugs.debian.org (full text, mbox):

From: Andres Salomon <dilinger@voxel.net>
To: Steve Langasek <vorlon@netexpress.net>, 193343@bugs.debian.org
Subject: Re: Bug#193343: php4-imap: openssl support gone
Date: Mon, 02 Feb 2004 11:41:07 -0500
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Steve Langasek wrote:
| On Mon, Feb 02, 2004 at 04:54:07PM +0200, Norman Rasmussen wrote:
|
|>Package: php4-imap
|>Version: 4:4.3.3-4
|>Severity: normal
|>Followup-For: Bug #193343
|
|

[...]

|
| The openssl extension would have to be built as a shared extension (not
| supported upstream, last I looked) before it could be re-enabled;
| building it into mod_php4 statically triggers this bug.
|

FYI, from the 4.3.5rc1 changelog:

- - Fixed bug #26447 (--with-openssl=shared causes compile errors). (Jani)

So hopefully once 4.3.5 is released, we'll have a working shared openssl
module (or we could attempt to backport to 4.3.4).


-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)
Comment: Using GnuPG with Thunderbird - http://enigmail.mozdev.org

iD8DBQFAHn2j78o9R9NraMQRAhY/AKC/DjghAmwhqrkX+XrZsF/m3bcVAACfYHye
AIEYnxfr+nJNjfPpjnezLYg=
=fJ02
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, Adam Conrad <adconrad@0c3.net>:
Bug#193343; Package php4-imap. Full text and rfc822 format available.

Acknowledgement sent to "Norman Rasmussen" <norman@darkskies.za.net>:
Extra info received and forwarded to list. Copy sent to Adam Conrad <adconrad@0c3.net>. Full text and rfc822 format available.

Message #45 received at 193343@bugs.debian.org (full text, mbox):

From: "Norman Rasmussen" <norman@darkskies.za.net>
To: <193343@bugs.debian.org>
Subject: RE: Bug#193343: php4-imap: openssl support gone
Date: Mon, 2 Feb 2004 21:40:17 +0200
I've had a look at the php4-4.3.3 source, and the ext/openssl/config.m4
contains:

if test "$PHP_OPENSSL" != "no"; then
dnl Comment this crap out, since it doesn't want to build as a dynamic
dnl extension, and building it static breaks Apache with glibc 2.3.
dnl  PHP_NEW_EXTENSION(openssl, openssl.c, $ext_openssl_shared)
dnl  OPENSSL_SHARED_LIBADD="-lcrypto -lssl"
dnl  PHP_SUBST(OPENSSL_SHARED_LIBADD)
dnl  AC_DEFINE(HAVE_OPENSSL_EXT,1,[ ])
        :
fi

So it seems that it doesn't want to build an a dynamic extention.

No idea why squirrelmail doesn't use the php4-imap functions, they seem to
have built their own sqimap functions, weird.

Okay so php4-imap has ssl support but fsockopen doesn't support ssl or tls
anymore ? Is this correct ?

Norman Rasmussen

open box software
T +27 21 701 7884   |  M +27 (0) 83 418 9799
E nrasmussen@openboxsoftware.com  |  W  www.openboxsoftware.com



> -----Original Message-----
> From: Steve Langasek [mailto:vorlon@netexpress.net] 
> Sent: 02 February 2004 06:16 PM
> To: Norman Rasmussen; 193343@bugs.debian.org
> Subject: Re: Bug#193343: php4-imap: openssl support gone
> 
> 
> On Mon, Feb 02, 2004 at 04:54:07PM +0200, Norman Rasmussen wrote:
> > Package: php4-imap
> > Version: 4:4.3.3-4
> > Severity: normal
> > Followup-For: Bug #193343
> 
> > yup, modssl fixed the crashing.  This problem is furthur 
> explained in 
> > libc bug #165699, they've been trying to track this bug 
> down from the 
> > other end by the looks of it.
> 
> > summary: it seems to be a dynamic loader, apache loads and then 
> > unloads the ssl libraries, and gets confused.  I expect that by 
> > loading modssl that the appropriate functions get reloaded 
> into memory 
> > before imap calls a function that needs them.
> 
> > okay so so avoid this problem the php4 fsockopen function has lost 
> > it's ssl and tls support, hence making imaps support gone 
> too :-(, and 
> > therefore breaking squirrelmail<->uw-imapd.
> 
> > so, is there any possible way we can get openssl support back into 
> > php4, with out breaking apache, because of wierd resolver issues ?
> 
> > (or, *yuck* am i going to have to run stunnel daemon and suffer for 
> > now)
> 
> php4-imap *does* have openssl support enabled.  Is there some 
> reason that squirrelmail would be using fsockopen instead of 
> the php4-imap functions?
> 
> The openssl extension would have to be built as a shared 
> extension (not supported upstream, last I looked) before it 
> could be re-enabled; building it into mod_php4 statically 
> triggers this bug.
> 
> -- 
> Steve Langasek
> postmodern programmer
> 




Information forwarded to debian-bugs-dist@lists.debian.org, Adam Conrad <adconrad@0c3.net>:
Bug#193343; Package php4-imap. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@netexpress.net>:
Extra info received and forwarded to list. Copy sent to Adam Conrad <adconrad@0c3.net>. Full text and rfc822 format available.

Message #50 received at 193343@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@netexpress.net>
To: Norman Rasmussen <norman@darkskies.za.net>, 193343@bugs.debian.org
Subject: Re: Bug#193343: php4-imap: openssl support gone
Date: Mon, 2 Feb 2004 14:49:56 -0600
[Message part 1 (text/plain, inline)]
On Mon, Feb 02, 2004 at 09:40:17PM +0200, Norman Rasmussen wrote:
> I've had a look at the php4-4.3.3 source, and the ext/openssl/config.m4
> contains:

> if test "$PHP_OPENSSL" != "no"; then
> dnl Comment this crap out, since it doesn't want to build as a dynamic
> dnl extension, and building it static breaks Apache with glibc 2.3.
> dnl  PHP_NEW_EXTENSION(openssl, openssl.c, $ext_openssl_shared)
> dnl  OPENSSL_SHARED_LIBADD="-lcrypto -lssl"
> dnl  PHP_SUBST(OPENSSL_SHARED_LIBADD)
> dnl  AC_DEFINE(HAVE_OPENSSL_EXT,1,[ ])
>         :
> fi

> So it seems that it doesn't want to build an a dynamic extention.

Yes, I was the one who commented out the block in question. ;)

> No idea why squirrelmail doesn't use the php4-imap functions, they seem to
> have built their own sqimap functions, weird.

Hmm, unfortunate.

> Okay so php4-imap has ssl support but fsockopen doesn't support ssl or tls
> anymore ? Is this correct ?

That's correct.

Regards,
-- 
Steve Langasek
postmodern programmer


> > -----Original Message-----
> > From: Steve Langasek [mailto:vorlon@netexpress.net] 
> > Sent: 02 February 2004 06:16 PM
> > To: Norman Rasmussen; 193343@bugs.debian.org
> > Subject: Re: Bug#193343: php4-imap: openssl support gone
> > 
> > 
> > On Mon, Feb 02, 2004 at 04:54:07PM +0200, Norman Rasmussen wrote:
> > > Package: php4-imap
> > > Version: 4:4.3.3-4
> > > Severity: normal
> > > Followup-For: Bug #193343
> > 
> > > yup, modssl fixed the crashing.  This problem is furthur 
> > explained in 
> > > libc bug #165699, they've been trying to track this bug 
> > down from the 
> > > other end by the looks of it.
> > 
> > > summary: it seems to be a dynamic loader, apache loads and then 
> > > unloads the ssl libraries, and gets confused.  I expect that by 
> > > loading modssl that the appropriate functions get reloaded 
> > into memory 
> > > before imap calls a function that needs them.
> > 
> > > okay so so avoid this problem the php4 fsockopen function has lost 
> > > it's ssl and tls support, hence making imaps support gone 
> > too :-(, and 
> > > therefore breaking squirrelmail<->uw-imapd.
> > 
> > > so, is there any possible way we can get openssl support back into 
> > > php4, with out breaking apache, because of wierd resolver issues ?
> > 
> > > (or, *yuck* am i going to have to run stunnel daemon and suffer for 
> > > now)
> > 
> > php4-imap *does* have openssl support enabled.  Is there some 
> > reason that squirrelmail would be using fsockopen instead of 
> > the php4-imap functions?
> > 
> > The openssl extension would have to be built as a shared 
> > extension (not supported upstream, last I looked) before it 
> > could be re-enabled; building it into mod_php4 statically 
> > triggers this bug.
[Message part 2 (application/pgp-signature, inline)]

Reply sent to Adam Conrad <adconrad@0c3.net>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Tollef Fog Heen <tfheen@raw.no>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #55 received at 193343-done@bugs.debian.org (full text, mbox):

From: Adam Conrad <adconrad@0c3.net>
To: 193343-done@bugs.debian.org
Subject: Closing this woody php4 bug, please upgrade.
Date: Tue, 07 Jun 2005 21:22:01 -0600
This bug was tagged "woody" and is believed to have been corrected in our
new stable release "sarge", which was released[1] two days ago.

As a result of sarge's release, I am closing this woody bug, and I would
encourage you to upgrade to sarge as soon as is reasonably possible.  While
you're at it, if you are currently using php4 with apache1.3, I would
suggest upgrading to apache2 (package: apache2-mpm-prefork) and the php4
build for apache2 (libapache2-mod-php4), as apache1.3 is now deprecated,
and the apache2/php4 combinations seems to exhibit fewer bugs and strange
behaviours overall than apache1.3/php4.

Thanks for using Debian,

... Adam Conrad

PS: If you want your upgrades to go as smoothly as possible, please remember
    to read the release notes[2] and to use a packaging frontend like
    aptitude or dselect, rather than a raw 'apt-get dist-upgrade', which will
    often go rather badly on a complex setup.

[1] http://www.debian.org/News/2005/20050606
[2] http://www.debian.org/releases/sarge/releasenotes



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 08:15:04 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.